play.data.validation

## Annotation Type Match

-     @Retention(value=RUNTIME)
       @Target(value={FIELD,PARAMETER})
       @Constraint(checkWith=MatchCheck.class)
      public @interface Match

  This field must match the regexp. Message key: validation.match $1: field name $2: reference pattern

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.String` | `value`

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `java.lang.String` | `message`

- - ### Element Detail

    - #### value

          public abstract java.lang.String value

  - - #### message

          public abstract java.lang.String message

      Default:
        "validation.match"

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly